//-------------------------------------------------------------------------------------
//--  MSN Setup Script (setup1.mss)  CD Version  
//-------------------------------------------------------------------------------------

SET 	appname="MSN Setup CD"  source_url="http://fdl.msn.com/public/msncdsetup/"

//-- list of component files (Note: compid's must be unique) --------------
//--   Note: use squotes around params containing double-quote chars ------
FILE-COMPONENT	compid=300 name=msie301.exe   descrip="Microsoft Internet Explorer 3.01" clsid=0002DF01-0000-0000-C000-000000000046 compsize=5431584  fullsize=12000000 version=4.70.0.1215 flags="/R:n /Q" reboot=yes    	
FILE-COMPONENT	compid=420 name=CoreUI.exe   descrip="MSN Program Viewer"            clsid=0 compsize=495000 fullsize=747520 version=2.0.0.68 flags="/R:n /Q" reboot=no
FILE-COMPONENT	compid=0   name=swinst4.exe  descrip="Macromedia Shockwave"         clsid=166B1BCA-3F9C-11CF-8075-444553540000 compsize=1009600  fullsize=1200000 version=5.0.1.61    flags="/R:n /Q"
FILE-COMPONENT	compid=3   name=setupslt.exe descrip="Microsoft HTML Layout Control"          clsid=812AE312-8B8E-11CF-93C8-00AA00C08FDF compsize=1071192 fullsize=1950000 version=1.0.4.8020  flags="/r:n /Q"     	
FILE-COMPONENT	compid=5   name=ComicCht.exe  descrip="Microsoft Comic Chat"      clsid=241AF500-8FB6-11CF-ADC5-00AA00BADF6F compsize=1035264 fullsize=4249361 version=4.71.0108.0         flags="/r:n /Q"     	
FILE-COMPONENT	compid=6   name=mailnews.exe descrip="Microsoft Internet News"                  clsid=89292103-4755-11CF-9DC2-00AA006C2B84 compsize=1002568 fullsize=1500000 version=4.70.0.1156 flags='/r:n /Q /c:"_isetup.exe /NEWS"' reboot=yes
FILE-COMPONENT	compid=7   name=vrmlocx.exe  descrip="Microsoft VRML Viewer" clsid=197F20A0-C37C-11CF-92B1-00AA00B8A733  compsize=2003024 fullsize=6973030 version=1.0.731 flags='/r:n /Q' reboot=no     	
//-- controls.exe sniff setupbbs.ocx
FILE-COMPONENT	compid=10 name=controls.exe descrip="MSN Program Viewer Controls"             clsid=8F0F5093-0A70-11d0-BCA9-00C04FD85AA6 compsize=848736 fullsize=1352663 version=4.70.0.1168 flags='/r:n /Q' reboot=no
//-- optional.exe sniff rifffsup.ocx
FILE-COMPONENT	compid=11 name=optional.exe descrip="MSN Show Controls"   		clsid=D32D7FF3-075C-11D0-95A4-00C04FD658CE compsize=637280 fullsize=1272365   version=4.70.0.1152 flags='/r:n /Q' reboot=no
FILE-COMPONENT	compid=4   name=IMTHart.exe descrip="Microsoft Interactive Music Architecture" clsid=300673C3-8BE3-11CF-B4B7-00AA00C01802 compsize=3607600 fullsize=4414504 version=2.0.0.54    flags="/r:n /Q"

FILE-COMPONENT	compid=1001 name=rifffmn1.exe descrip="MSN Rifff Main Show Components (1/2)"   		clsid=0 compsize=605240 fullsize=1096927 version=1.0.0.0 flags='/r:n /Q' reboot=no
FILE-COMPONENT	compid=1002 name=rifffmn2.exe descrip="MSN Rifff Main Show Components (2/2)"   		clsid=0 compsize=675896 fullsize=1100000 version=1.0.0.0 flags='/r:n /Q' reboot=no
FILE-COMPONENT	compid=1003 name=rifffe01.exe descrip="MSN Rifff Episode 1"   		clsid=0 compsize=833568 fullsize=1100000 version=1.0.0.0 flags='/r:n /Q' reboot=no

//-- sniff to detect if components are not installed or out of date -------
//-- ( 0-99     use generic CLSID based sniff)
//-- ( 100-999  use custom sniff functions, require code mods)
//-- ( >= 1000  FORCE (always reports install required)
//--Note: use squotes around params containing double-quote chars ---------
SNIFF-COMPONENT compid=400    // MSN 1.3

//-- startup UI for setup program
STARTUP-ONE

//-- install all components that are required ---
INSTALL-COMPONENTS

//-- install MSN 1.3 and exchange if necessary
//-- this is run only if user does not have to reboot above
FILE-COMPONENT	compid=400 name=msn13.exe    descrip="MSN Classic Client"         clsid=0 compsize=2030080 fullsize=7000000 version=0 flags="/R:n /Q" reboot=yes
FILE-COMPONENT	compid=2   name=amov4ie.exe  descrip="Microsoft ActiveMovie"                  clsid=05589FA1-C356-11CE-BF01-00AA0055595A compsize=649296  fullsize=1240000 version=4.0.96.0729 flags='/r:n /Q /c:"amremove.exe /setup_q"'
FILE-COMPONENT	compid=430 name=newcore.exe descrip="MSN Classic Client Update"   		clsid=0 compsize=319282 fullsize=250000 version=4.3.0.5902 flags='/r:n /Q' reboot=yes
INSTALL-COMPONENTS

//-------------------------------------------------------------------------------------
//--  MSN CD Setup Script (setup2.mss)   // part two of CD setup, after reboot
//-------------------------------------------------------------------------------------


//-- Part Two: -------------------------------------------------------------//
//----------------------------------------------------------
//-- list of Show Art/Media Files                         --
//----------------------------------------------------------

//  National Feed
FILE-CACHED name="15sec.spl" source_url="http://onstage.msn.com/national/media/15sec.spl" fullsize=7154  destdir="OnStage\NatFeed"
FILE-CACHED name="1click.spl" source_url="http://onstage.msn.com/national/media/1click.spl" fullsize=6821  destdir="OnStage\NatFeed"
FILE-CACHED name="475.spl" source_url="http://onstage.msn.com/national/media/475.spl" fullsize=7355  destdir="OnStage\NatFeed"
FILE-CACHED name="914.spl" source_url="http://onstage.msn.com/national/media/914.spl" fullsize=10052  destdir="OnStage\NatFeed"
FILE-CACHED name="advice.spl" source_url="http://onstage.msn.com/national/media/advice.spl" fullsize=11400  destdir="OnStage\NatFeed"
FILE-CACHED name="bumper.spl" source_url="http://onstage.msn.com/national/media/bumper.spl" fullsize=15233  destdir="OnStage\NatFeed"
FILE-CACHED name="carpoint.spl" source_url="http://onstage.msn.com/national/media/carpoint.spl" fullsize=12316  destdir="OnStage\NatFeed"
FILE-CACHED name="cinema1.spl" source_url="http://onstage.msn.com/national/media/cinema1.spl" fullsize=7965  destdir="OnStage\NatFeed"
FILE-CACHED name="cinema2.spl" source_url="http://onstage.msn.com/national/media/cinema2.spl" fullsize=9239  destdir="OnStage\NatFeed"
FILE-CACHED name="comm.spl" source_url="http://onstage.msn.com/national/media/comm.spl" fullsize=4727  destdir="OnStage\NatFeed"
FILE-CACHED name="comp.spl" source_url="http://onstage.msn.com/national/media/comp.spl" fullsize=12559  destdir="OnStage\NatFeed"
FILE-CACHED name="encarta.spl" source_url="http://onstage.msn.com/national/media/encarta.spl" fullsize=3518  destdir="OnStage\NatFeed"
FILE-CACHED name="et.spl" source_url="http://onstage.msn.com/national/media/et.spl" fullsize=12704  destdir="OnStage\NatFeed"
FILE-CACHED name="exp.spl" source_url="http://onstage.msn.com/national/media/exp.spl" fullsize=9888  destdir="OnStage\NatFeed"
FILE-CACHED name="howlong.spl" source_url="http://onstage.msn.com/national/media/howlong.spl" fullsize=12709  destdir="OnStage\NatFeed"
FILE-CACHED name="hs.spl" source_url="http://onstage.msn.com/national/media/hs.spl" fullsize=11383  destdir="OnStage\NatFeed"
FILE-CACHED name="invest.spl" source_url="http://onstage.msn.com/national/media/invest.spl" fullsize=9743  destdir="OnStage\NatFeed"
FILE-CACHED name="mco.spl" source_url="http://onstage.msn.com/national/media/mco.spl" fullsize=10555  destdir="OnStage\NatFeed"
FILE-CACHED name="mint.gif" source_url="http://onstage.msn.com/national/media/mint.gif" fullsize=10027  destdir="OnStage\NatFeed"
FILE-CACHED name="msnbc.spl" source_url="http://onstage.msn.com/national/media/msnbc.spl" fullsize=6143  destdir="OnStage\NatFeed"
FILE-CACHED name="mungo.spl" source_url="http://onstage.msn.com/national/media/mungo.spl" fullsize=15957  destdir="OnStage\NatFeed"
FILE-CACHED name="netann.spl" source_url="http://onstage.msn.com/national/media/netann.spl" fullsize=1967  destdir="OnStage\NatFeed"
FILE-CACHED name="parent.spl" source_url="http://onstage.msn.com/national/media/parent.spl" fullsize=9751  destdir="OnStage\NatFeed"
FILE-CACHED name="penpals.gif" source_url="http://onstage.msn.com/national/media/penpals.gif" fullsize=13010  destdir="OnStage\NatFeed"
FILE-CACHED name="plaza.spl" source_url="http://onstage.msn.com/national/media/plaza.spl" fullsize=2126  destdir="OnStage\NatFeed"
FILE-CACHED name="preview.spl" source_url="http://onstage.msn.com/national/media/preview.spl" fullsize=9500  destdir="OnStage\NatFeed"
FILE-CACHED name="reman.spl" source_url="http://onstage.msn.com/national/media/reman.spl" fullsize=10892  destdir="OnStage\NatFeed"
FILE-CACHED name="retro.spl" source_url="http://onstage.msn.com/national/media/retro.spl" fullsize=7239  destdir="OnStage\NatFeed"
FILE-CACHED name="rifff.spl" source_url="http://onstage.msn.com/national/media/rifff.spl" fullsize=10078  destdir="OnStage\NatFeed"
FILE-CACHED name="scn.spl" source_url="http://onstage.msn.com/national/media/scn.spl" fullsize=10778  destdir="OnStage\NatFeed"
FILE-CACHED name="slate.spl" source_url="http://onstage.msn.com/national/media/slate.spl" fullsize=7071  destdir="OnStage\NatFeed"
FILE-CACHED name="startrek.spl" source_url="http://onstage.msn.com/national/media/startrek.spl" fullsize=7049  destdir="OnStage\NatFeed"
FILE-CACHED name="underwire.gif" source_url="http://onstage.msn.com/national/media/underwire.gif" fullsize=10120  destdir="OnStage\NatFeed"
FILE-CACHED name="vin.spl" source_url="http://onstage.msn.com/national/media/vin.spl" fullsize=7310  destdir="OnStage\NatFeed"
FILE-CACHED name="vstyle.gif" source_url="http://onstage.msn.com/national/media/vstyle.gif" fullsize=9592  destdir="OnStage\NatFeed"
FILE-CACHED name="15sec.spl" source_url="http://onstage.msn.com/national/media/15sec.spl" fullsize=7154  destdir="OnStage\NatFeed"
FILE-CACHED name="zodiac.spl" source_url="http://onstage.msn.com/national/media/zodiac.spl" fullsize=7951  destdir="OnStage\NatFeed"

//-- load show art/media files into the IE browser cache
LOAD-CACHE 


//-- Launch MSN Program Viewer (after reboot)---
LAUNCH-COREUI


END
